> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gov Connect income



## OpenAPI

````yaml GET /gov-connect/{user_id}
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /gov-connect/{user_id}:
    description: >-
      Retrieve the Gov Connect (HMRC) income data that has been submitted for a
      user, either through a connected Gov Connect account or fetched via `POST
      /gov-connect/entries/connections`. The response contains submissions in
      the Making Tax Digital (MTD) shape.
    get:
      summary: Returns all Gov Connect (HMRC) income submissions for a user
      parameters:
        - in: path
          name: user_id
          schema:
            type: string
            format: uuid
          required: true
          description: ID of the user to get Gov Connect income for
        - name: offset
          in: query
          description: The offset to start at
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: limit
          in: query
          description: The number of items to return
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            default: 100
        - name: account_id
          in: query
          description: Filter submissions to a single account
          required: false
          schema:
            type: string
            format: uuid
        - name: entry_id
          in: query
          description: Filter submissions to a single ingestion entry
          required: false
          schema:
            type: string
            format: uuid
        - name: created_after
          in: query
          description: Filter out submissions dated before the given date
          required: false
          schema:
            type: string
            format: date-time
            example: '2019-05-17T00:00:00.000Z'
        - name: created_before
          in: query
          description: Filter out submissions dated after the given date
          required: false
          schema:
            type: string
            format: date-time
            example: '2019-05-17T00:00:00.000Z'
      responses:
        '200':
          description: Gov Connect income response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedGovConnect'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
components:
  schemas:
    PaginatedGovConnect:
      type: object
      required:
        - pagination
        - gov_connect_submissions
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        gov_connect_submissions:
          type: array
          items:
            $ref: '#/components/schemas/GovConnectSubmission'
    Pagination:
      type: object
      required:
        - offset
        - limit
        - count
      properties:
        offset:
          description: The offset to start at - zero based
          type: integer
          format: int32
          minimum: 1
          default: 0
          example: 75
        limit:
          type: integer
          format: int32
          minimum: 1
          maximum: 100
          default: 20
          example: 25
        count:
          type: integer
          format: int32
          example: 14
          minimum: 0
        total_count:
          type: integer
          format: int32
          example: 89
    GovConnectSubmission:
      type: object
      description: >-
        A single Gov Connect (HMRC) income submission in the Making Tax Digital
        (MTD) shape. Only the fields present for the taxpayer are returned;
        empty fields are omitted. All monetary values are returned as strings.
      required:
        - id
        - account_id
        - entry_id
        - authorisation_id
      properties:
        id:
          type: string
          format: uuid
          description: The submission id
          example: 3f1c0b9a-1e2d-4a5b-9c8d-0e1f2a3b4c5d
        account_id:
          type: string
          format: uuid
          example: 95a0e70b-fe02-4f47-aef9-2efff279df71
        entry_id:
          type: string
          format: uuid
          example: 1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e
        authorisation_id:
          type: string
          format: uuid
          example: 9f8e7d6c-5b4a-3210-fedc-ba9876543210
        income_id:
          type: string
          description: Stable identifier for the income record
          example: 2025-26:emp:se:prop
        identity:
          type: object
          properties:
            name:
              type: string
              example: Fred Bloggs
            date_of_birth:
              type: string
              example: '1980-02-20'
            ni_number:
              type: string
              example: QQ000001A
        employments:
          type: array
          items:
            type: object
            properties:
              employment:
                type: object
                properties:
                  employer_name:
                    type: string
                    example: NEW CORP
                  paye_reference:
                    type: string
                    example: 120/NC15208
                  status:
                    type: string
                    example: active
                  start_date:
                    type: string
                    example: 2024-06-10T00:00Z
                  leave_date:
                    type: string
                    nullable: true
                  tax_code:
                    type: string
                    nullable: true
              income:
                type: object
                properties:
                  tax_year:
                    type: string
                    example: 2024-25
                  taxable_income:
                    type: string
                    example: '28100.91'
                  tax_paid:
                    type: string
                    example: '3611.40'
              updated_at:
                type: string
                example: '2026-06-05 13:03:39'
        self_employments:
          type: array
          items:
            type: object
            properties:
              business:
                type: object
                properties:
                  business_id:
                    type: string
                    example: XBIS1
              income:
                type: object
                properties:
                  tax_year:
                    type: string
                    example: 2024-25
                  turnover:
                    type: string
                    example: '92500.00'
                  other_income:
                    type: string
                    example: '1200.00'
                  tax_deducted_at_source:
                    type: string
                    example: '0.00'
        properties:
          type: array
          items:
            type: object
            properties:
              property_id:
                type: string
                example: XPIS1
              tax_year:
                type: string
                example: 2024-25
              rent_received:
                type: string
                example: '747.45'
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: An array of messages describing the errors
          example:
            - The request is missing the required field `name`
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
    NotFound:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the not found errors
          example:
            - >-
              The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does
              not exist
  responses:
    BadRequest:
      description: Bad request if one of the required parameters is missing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    ResourceNotFound:
      description: Resource not found
      content:
        applcation/json:
          schema:
            $ref: '#/components/schemas/NotFound'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````